#include <LEDA/integer.h>
#include <LEDA/integer_old.h>
#include <LEDA/stream.h>

integer LEDA_factorial(int n) {
   integer fac = 1;

   int i;
   for(i=2;i<=n;i++) 
     fac = fac*i;

   return fac;
}


int int_factorial(int n) {
   int fac = 1;

   int i;
   for(i=2;i<=n;i++) 
     fac = fac*i;

   return fac;
}


void main() {
   float T;
   int n = read_int("Enter the number: ");

      cout << "Computing regular int factorial on "<< n <<":\n";
      T = used_time();
      cout << "The result is " << int_factorial(n) << "\n";
      cout << "The computation took " << used_time(T) << " seconds.\n\n";

      cout << "Computing integer factorial on "<< n <<":\n";
      T = used_time();
      cout << "The result is " << LEDA_factorial(n) << "\n";
      cout << "The computation took " << used_time(T) << " seconds.\n\n";
}
